/*
 * Copyright (c) 2005-2010 KOM – Multimedia Communications Lab
 *
 * This file is part of PeerfactSim.KOM.
 * 
 * PeerfactSim.KOM is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * any later version.
 * 
 * PeerfactSim.KOM is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with PeerfactSim.KOM.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

package de.tud.kom.p2psim.impl.topology.views.fiveg.models;

/**
 * A Constant Model which return always the constant value C
 * c(u) = C
 * @author Marc Schiller
 * @version 1.0, 15 Dec 2016
 */
public class ConstantModel extends AbstractModel {
	
	private double c = 0;
	
	public void setC(double c) {
		this.c = c;
	}

	@Override
	public long getLong(int users) {
		return (long) this.c;
	}

	@Override
	public double getDouble(int users) {
		return this.c;
	}

	public String toString() {
		return "Constant Model: c(u) = " + c;
	}
}
